Package org.eclipse.swt.events

## Interface MouseListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

All Known Implementing Classes:
  `AbstractRulerActionDelegate`, `AnnotationBarHoverManager.Closer`, `BookmarkRulerAction`, `HyperlinkManager`, `MouseAdapter`, `PaintManager`, `RulerEnableDisableBreakpointActionDelegate`, `RulerRunToLineActionDelegate`, `RulerToggleBreakpointActionDelegate`, `SelectRulerAction`, `TaskRulerAction`, `TextConsoleViewer`

    public interface MouseListener
    extends SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as mouse buttons are pressed.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseListener` method and removed using the `removeMouseListener` method. When a mouse button is pressed or released, the appropriate method will be invoked.

See Also:
  `MouseAdapter`, `MouseEvent`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`void` `mouseDoubleClick​(MouseEvent e)` Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`static MouseListener` `mouseDoubleClickAdapter​(Consumer<MouseEvent> c)` Static helper method to create a `MouseListener` for the `mouseDoubleClick(MouseEvent e)`) method with a lambda expression.
`void` `mouseDown​(MouseEvent e)` Sent when a mouse button is pressed.
`static MouseListener` `mouseDownAdapter​(Consumer<MouseEvent> c)` Static helper method to create a `MouseListener` for the `mouseDown(MouseEvent e)`) method with a lambda expression.
`void` `mouseUp​(MouseEvent e)` Sent when a mouse button is released.
`static MouseListener` `mouseUpAdapter​(Consumer<MouseEvent> c)` Static helper method to create a `MouseListener` for the `mouseUp(MouseEvent e)`) method with a lambda expression.

### Method Detail

#### mouseDoubleClick

    void mouseDoubleClick​(MouseEvent e)

Sent when a mouse button is pressed twice within the (operating system specified) double click period.

Parameters:
  `e` - an event containing information about the mouse double click
See Also:
  `Display.getDoubleClickTime()`

#### mouseDown

    void mouseDown​(MouseEvent e)

Sent when a mouse button is pressed.

Parameters:
  `e` - an event containing information about the mouse button press

#### mouseUp

    void mouseUp​(MouseEvent e)

Sent when a mouse button is released.

Parameters:
  `e` - an event containing information about the mouse button release

#### mouseDoubleClickAdapter

    static MouseListener mouseDoubleClickAdapter​(Consumer<MouseEvent> c)

Static helper method to create a `MouseListener` for the `mouseDoubleClick(MouseEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseListener
Since:
  3.106

#### mouseDownAdapter

    static MouseListener mouseDownAdapter​(Consumer<MouseEvent> c)

Static helper method to create a `MouseListener` for the `mouseDown(MouseEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseListener
Since:
  3.106

#### mouseUpAdapter

    static MouseListener mouseUpAdapter​(Consumer<MouseEvent> c)

Static helper method to create a `MouseListener` for the `mouseUp(MouseEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseListener
Since:
  3.106